/*
 * @(#)ClientChild.java
 *
 * Copyright (c) 2007 masahito suzuki, Inc. All Rights Reserved
 */
package org.maachang.sync ;

import java.io.OutputStream;

/**
 * クライアントチャイルド.
 *
 * @version 2007/05/19
 * @author  masahito suzuki
 * @since   MaachangSync 1.00
 */
class ClientChild {
    
    /**
     * ターゲット名.
     */
    private String targetName = null ;
    
    /**
     * ターゲットファイルサイズ.
     */
    private long targetFileLength = -1L ;
    
    /**
     * ファイル項番.
     */
    private int fileNo = -1 ;
    
    /**
     * ターゲットファイルポインタ.
     */
    private OutputStream targetFp = null ;
    
    /**
     * 情報クリア.
     * <BR><BR>
     * 情報をクリアします.
     */
    public void clear() {
        if( targetFp != null ) {
            try {
                targetFp.flush() ;
                targetFp.close() ;
            } catch( Exception e ) {
            }
            targetFp = null ;
        }
        targetName = null ;
        targetFileLength = -1L ;
        fileNo = -1 ;
    }
    
    /**
     * targetFileLength を取得.
     * <BR><BR>
     * @return targetFileLength が返されます.
     */
    public long getTargetFileLength() {
        return targetFileLength;
    }
    
    /**
     * targetFileLength を設定.
     * <BR><BR>
     * @param targetFileLength targetFileLength を設定します.
     */
    public void setTargetFileLength(long targetFileLength) {
        this.targetFileLength = targetFileLength;
    }
    
    /**
     * targetFp を取得.
     * <BR><BR>
     * @return targetFp が返されます.
     */
    public OutputStream getTargetFp() {
        return targetFp;
    }
    
    /**
     * targetFp を設定.
     * <BR><BR>
     * @param targetFp targetFp を設定します.
     */
    public void setTargetFp(OutputStream targetFp) {
        this.targetFp = targetFp;
    }
    
    /**
     * targetName を取得.
     * <BR><BR>
     * @return targetName が返されます.
     */
    public String getTargetName() {
        return targetName;
    }
    
    /**
     * targetName を設定.
     * <BR><BR>
     * @param targetName targetName を設定します.
     */
    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }
    
    /**
     * fileNo を取得.
     * <BR><BR>
     * @return fileNo が返されます.
     */
    public int getFileNo() {
        return fileNo;
    }
    
    /**
     * fileNo を設定.
     * <BR><BR>
     * @param fileNo fileNo を設定します.
     */
    public void setFileNo(int fileNo) {
        this.fileNo = fileNo;
    }
    
}

